|  | Home | Documentation | HttpMessage Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
HttpMessage Class Reference

`#include <HttpContext.h>`

Inheritance diagram for HttpMessage:
[legend]

## Public Types
typedef std::map< std::string, std::string, casecmpless > | ContentHeaders

## Public Member Functions
| HttpMessage ()
| constructor. More...
const ContentHeaders & | getContentHeaders () const
| return the content headers of the message. More...
ContentHeaders & | getContentHeaders ()
| return the content headers of the message. More...

## Protected Attributes
ContentHeaders | m_ContentHeaders
| the content headers. More...

## Detailed Description

HTTP message, either a request or a response.

## Member Typedef Documentation

typedef std::map<std::string, std::string, casecmpless> HttpMessage::ContentHeaders

list of "Header: value" entries in an http request or response

## Constructor & Destructor Documentation

HttpMessage::HttpMessage | ( |  | ) |

constructor.

## Member Function Documentation

const HttpMessage::ContentHeaders & HttpMessage::getContentHeaders | ( |  | ) | const
| inline

return the content headers of the message.

HttpMessage::ContentHeaders & HttpMessage::getContentHeaders | ( |  | ) |
| inline

return the content headers of the message.

## Member Data Documentation

ContentHeaders HttpMessage::m_ContentHeaders
| protected

the content headers.

The documentation for this class was generated from the following files:

- HttpContext.h
- HttpContext.cpp